############################################################################
#    Copyright (C) 2006 by Cesar Kallas
#    cesarkallas@soulivre.org - http://cesarkallas.soulivre.org
#		
#    This program is free software; you can redistribute it and#or modify 
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or 
#    (at your option) any later version.                             
#                                                                          
#    This program is distributed in the hope that it will be useful,       
#    but WITHOUT ANY WARRANTY; without even the implied warranty of        
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         
#    GNU General Public License for more details.                          
#                                                                          
#    You should have received a copy of the GNU General Public License     
#    along with this program; if not, write to the                         
#    Free Software Foundation, Inc.,                                       
#    59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             
############################################################################

from opcoesGui import *

"""
Classe que gerencia o arquivo de opcoes: opcoes.cfg
Dependencias: opcoes.cfg, opcoesGui.py
Data: 31/08/2006
"""
class Opcoes:
	global arquivo, dicOpcoes
	
	# Abre o arquivo somente para leitura
	# Entrada: opcoes.cfg
	# Retorno OK: Dicionario com as opcoes lidas no arquivo
	# Retorno falho: -1
	def ler(self):
		try:
			self.arquivo = open("opcoes.cfg", 'r')
			self.dicOpcoes = self.arquivo.readline()
			self.arquivo.close()
		except:
			#raise
			return -1
	
	# Abre o arquivo somente para escrita
	# Entrada: Dicionario novoDicOpcoes
	# Retorno OK: 1
	# Retorno falho: -1
	def escrever(self, novoDicOpcoes):
		try:
			self.arquivo = open("opcoes.cfg", 'w')
			self.arquivo.write(str(novoDicOpcoes) + '\n')
			self.arquivo.flush()
			self.arquivo.close()
			self.dicOpcoes = novoDicOpcoes
			return 1
		except:
			raise
			return -1
			
	def sinaisGui(self):
		agentegui.connect(agentegui.botaoSalvar, SIGNAL('clicked()'), __salvar__)
		
